Support » Installing WordPress » attempted upgrade to 1.5

  • I got these errors after upgrading:

    Warning: main(/home/.narkis/jorahorg/jorah.org/treasure/wp-includes/wp-db.php): failed to open stream: No such file or directory in /home/.narkis/jorahorg/jorah.org/treasure/wp-settings.php on line 39

    Fatal error: main(): Failed opening required ‘/home/.narkis/jorahorg/jorah.org/treasure/wp-includes/wp-db.php’ (include_path=’.:/usr/local/lib/php’) in /home/.narkis/jorahorg/jorah.org/treasure/wp-settings.php on line 39

    And a 404 when I try to go to any of the admin pages.

    Er? What’s wrong?

    Hjem

Viewing 15 replies - 1 through 15 (of 23 total)
  • This happened to me too (upgrading from a 1.5-beta). You need to use the new index.php if you’re already using themes. WP1.5 needs to see:
    define('WP_USE_THEMES', true);
    before including wp-blog-header.php

    I have the new index.php and it does say define(‘WP_USE_THEMES’, true);

    Ah, that problem solved. Not all the files made it over the first time. So now I checked and I’m 97% sure they’re all there but I’m getting a NEW error when I open the admin panel:

    WordPress database error: [Unknown column 'autoload' in 'field list']

    When I try to open my blog, it’s just blank.

    Make sure you run the upgrade.php script (in your wp-admin folder I think). It will make sure that the database has all proper fields set up. This one got me too…

    Ok, I did that and the errors disappeared, but my blog is still completely blank! Not even a 404 not found!

    http://www.jorah.org/treasure to see for yourself what I’m talking about.

    Very strange – I just checked your site, blank on the URL you gave (not even a 404). Can see your wp-login screen, so that’s ok. Surfed to your wp-contents directory and noticed that you don’t have a themes subdir! You need this for WP to load your theme (or the default if yours isn’t setup).

    If you’re not using themes, you should use your old index.php instead of the new one (I think)…

    Well, we’re a step closer! Now it shows, but with some errors again:

    Warning: main(/home/.narkis/jorahorg/jorah.org/treasure/wp-comments.php): failed to open stream: No such file or directory in /home/.narkis/jorahorg/jorah.org/treasure/index.php on line 55

    I tried re-running the instal, but that didn’t help this time.

    Ok, that’s a good start! Your install is looking for wp-comments.php which no longer exists in 1.5. Have you looked on http://codex.wordpress.org for instructions on how to migrate?

    Whoops, Codex is down but Podz has an upgrade tutorial on his site:
    http://www.tamba2.org.uk/wordpress/upgrade/

    It explains how to convert your site to use themes – pretty straightforward.

    hjem

    (@hjem)

    I’ve gone through that and I still have errors. I’m about ready to give up and start over with another blogging system. Grrr.

    Yo do seem to have hit a rough patch here.
    If you could describe what the issues are now, we’ll help as much as we can.

    protechs

    (@protechs)

    What now? Should the newly modified comments phps be put anywhere except in the wp-content/themes/Carrots folder
    I’ve read thru the above. I’ve made files according to http://www.tamba2.org.uk/wordpress/upgrade/
    and they seem to all be in place. I put back my old index.php in the main blog folder since the new one I modified is back in the Carrots folder back in themes/Carrots along with the other 3 files we modified:
    index.php
    comments.php
    comments-popup.php
    style.css

    I did forget about the plugins part – but I have never dealt with those or changed the default from the original install from last November.

    Ran upgrade.php and the site layout, etc. looks OK on the index page (fonts for group headers is Huge now).

    The theme is OK it appears. The posts/graphics seem OK, but there is that comment error group at the top of most posts (except the last one –top of blog).

    I get the same comments errors at the top of every post and the comments that go with the post and the comment window is not there.

    Warning: main(/home/whyjohn/public_html/blog/wp-comments.php): failed to open stream: No such file or directory in /home/whyjohn/public_html/blog/index.php on line 122

    Warning: main(/home/whyjohn/public_html/blog/wp-comments.php): failed to open stream: No such file or directory in /home/whyjohn/public_html/blog/index.php on line 122

    Warning: main(): Failed opening ‘/home/whyjohn/public_html/blog/wp-comments.php’ for inclusion (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/whyjohn/public_html/blog/index.php on line 122

    lawtai

    (@lawtai)

    you need to change the file call in your index.php(?) from wp-comments.php to comments.php as no wp-comments.php exists.

    protechs

    (@protechs)

    “you need to change the file call in your index.php(?) from wp-comments.php to comments.php as no wp-comments.php exists.”

    OK, then you mean alter the one I put back into my main blog. When I put the newly modified index.php into that spot (the main blog folder) then went to test…. the entire page was white/blankness.

    Do I need to run the upgrade again after I put the modified index.php from Carrots? Where do the other 3 files go? Do they just stay in Carrots? They’re not dealt with again that I can read in the instuctions.

    Thanks.

    lawtai

    (@lawtai)

    does your site work if you were to use the default theme? can you post your carrots/index.php?

Viewing 15 replies - 1 through 15 (of 23 total)
  • The topic ‘attempted upgrade to 1.5’ is closed to new replies.